﻿.goalTitleDegrade
{
    background-image: url(Icons/bgDegrade.png);
    background-repeat:repeat-x;
    background-position:bottom;
    background-color:#FFFFFF;
    height:25px;
    font-weight:bold;
    font-size:11pt;
    line-height: 11px;
}
.radComboItemNew
{
    font-weight:bold;
    color:#00A2E8;
}
.lineSeparator td {
    border-top:1px solid navy;
}

.node {
    border:1px solid #AFAFAF;
    text-align:center;
    display:block;
    clear:both;
    width:1px;
    height:200px;
    overflow:hidden;
    background-image:url('icons/goals/bgnode.png');
    margin:5px;
    margin-top:0px;
    box-shadow:0 0 0;
}
.node .img {
    cursor:pointer;
}
.node:hover {
    box-shadow:0 0 25px #FFFF00;
}
.node .name {
    border:1px solid #000000;
    background-color:#FFFFFF;
    color:#000000;
}
.collapse { background-image:url('icons/goals/collapse.png'); }
.expand { background-image:url('icons/goals/expand.png'); }
.expandOrCollapseButton { width:48px; }
.collapseGoal { background-image:url('icons/goals/goalOff.png'); }
.expandGoal { background-image:url('icons/goals/goalOn.png'); }
.goalButton { width:58px; }
.expandOrCollapseButton, .goalButton {
    height:48px;
    cursor:pointer;
    background-position:center center;
    background-repeat:no-repeat;
    vertical-align:bottom !important;
}

#dvModel, #dvGoalModel {
    display:none;
}
#dvRoot {
    padding-top:40px;
}
#dvRoot td {
    vertical-align: top;
}
.boxBottom {
    vertical-align:bottom;
    text-align:right;
}

.node .percent {
    font-size:18pt;
}
.node .percentSubLine {
    font-size:10pt;
}
.node .percent, .node .percentSubLine {
    color:#000000;
}
.lockBox {
    position:fixed;
    top:0%;
    left:0%;
    width:100%;
    height:100%;
    background-color:#FFFFFF;
    opacity:0.8;
    display:none;
}
.userScroller {
    border:1px solid #000000;
    border-radius:10px;
    background-image:url('icons/goals/bgnodelarge.png');
    background-position:top;
    background-repeat:repeat-x;
    padding:5px;
    position:fixed;
    top:10%;
    left:5%;
    width:90%;
    height:75%;
    display:none;
}
.userScroller .selectedUser {
    vertical-align: top;
}

.tblGoals {
    background-color:#FFFFFF;
    border-collapse:collapse;
}
.gridTitle th {
    background-color:#555555;
    color:#FFFFFF;
    border:1px solid #000000;
}
.tblGoals td, .tblGoals th {
    padding-left:3px;
    padding-right:3px;
}
.tblGoals td, .categoryTitle th {
    color:#000000;
}
.tblGoals tr:hover td, .tblGoals th, .progressEditingRow, .goalProgPrevisions > tbody > tr:first-child > td, #controlBar {
    background-image:url('icons/goals/bg.png');
    background-position:bottom;
    background-repeat:repeat-x;
}
.tblGoals tr:hover td {
    background-color:#FFFFBB;
}
.progressEditingRow {
    background-color:#FFBBBB;
}
.categoryTitle th {
    text-align:left;
    background-color:#BFBFBF;
}

.tdNode .lineHor {
    border-top:1px solid #000000;
    padding-top:7px;
}
.tdNode:first-child > table > tr > td.lineHor {
    border-top-left-radius:20px;
}
.tdNode:last-child > table > tr > td.lineHor {
    border-top-right-radius:20px;
}
.tdNode:only-child > table > tr > td.lineHor {
    border-top-right-radius:20px;
    border-top-left-radius:20px;
}
.progressClickable {
    cursor:pointer;
    text-decoration:underline;
    color:#0000FF !important;
    border-color:#000000;
}
.tableUserGoals {
    border-left:1px solid #000000;
    width:490px;
    height:200px;
}
.tableUserGoals div, .selectedUserGoals {
    height:100%;
    overflow:auto;
}
.categoryTitle td {
    vertical-align:middle !important;
}
#frmProg th {
    text-align:right;
    font-weight:normal;
}
#frmProg td {
    font-weight:bold;
}
#dvProgress td, #dvProgress th {
    color:#000000;
}

.goalProgPrevisions { border:1px solid #000000; }
.goalProgPrevisions th { white-space:nowrap; }
.goalProgPrevisions > tbody > tr:first-child > td { background-color:#BFBFBF; }

#controlBar {
    position:fixed;
    top:0;left:0;
    width:100%;
    background-color:#0000FF;
    padding:5px;
}
#dvUserPreferences {
    background-color:#DEDEFF;
    border-radius:10px;
    background-image:url('icons/goals/bgnodelarge.png');
    background-position:bottom;
    background-repeat:repeat-x;
    padding:5px;
}
#dvUserPreferences td, #dvUserPreferences th {
    color:#000000;
}

.ui-effects-transfer { border: 1px dotted black; border-radius: 10px; }
.ui-effects-wrapper{ width:100% !important; }

/* incluir um classname maior
.ui-button-text {
    line-height:1px !important;
    padding-left:15px !important;
    padding-right:15px !important;
}
*/

.goalColor .button {
    width:24px;
    background-position: center center;
    background-repeat:no-repeat;
    border:1px solid lightgray !important;
    cursor:pointer;
}
.goalColor .button:hover {
    border:1px solid darkgray !important;
    background-color:lightgray !important;
}
.goalColor .actionButton {
    width:80px;
    color:Black !important;
    background-image:url('icons/goals/save.png') !important;
    background-position: 3px 4px !important;
    padding-left:25px;
}
.goalColor .actionButton:hover {
    color:Black !important;
    padding-left:25px;
}


.goalColor .addButton { background-image:url('icons/plus-blue.png') !important; }
.goalColor .removeButton { background-image:url('icons/wa_cancel.gif') !important; }
.goalColor .saveButton { background-image:url('icons/goals/save.png') !important; }
.goalColor .cancelButton { background-image:url('icons/goals/ReturnApproval.png') !important; }

.goalColor tr.upperBorder td {
    border-top:1px solid darkgray;
    text-align:center;
}
